Has patch:
Affected Flow version:
Subject: using f:link.action inside f:form breaks hmac verification
Description

It seems impossible to link to another Page/Controller/Action/Plugin with f:link.action inside a f:form.

Test-Template:

<f:form controller="Mycontroller" action="myaction" name="newObject" object="{newObject}">
    <!-- if we don't use a property of newObject the error is not triggered -->
    <f:form.textbox property="foo" />

    <f:form.submit name="mySubmit" value="Submit" />

    <!-- adding a link.action inside form with an Object triggers an "hmac could not be verified" error -->
    <!-- for some reason 'action' is dropped in RequestHashService->generateRequestHash() -->
    <!-- this happens only when we use a property of newObject -->
    <f:if condition="true">
            <f:link.action action="baz" pluginName="pi3" controller="foobar" pageUid="14">Jetzt anschliessen</f:link.action>
    </f:if>
</f:form>

Probably that's due to the fact that the Plugin (pix) seems not to be taken into account, when generating the hmac/Requesthash?

Related issues:
related to TYPO3.Fluid - Bug # 6809: using f:link.action inside f:form breaks... Resolved 2010-03-12

History
#1 - 2010-03-12 13:01 - Peter Niederlag

sorry, please clode, double submission. :-<

#2 - 2010-03-18 15:31 - Sebastian Kurfuerst

Thanks Peter for the patch, I have committed it.

Greets,
Sebastian

#3 - 2010-03-18 15:31 - Sebastian Kurfuerst
- Status changed from New to Resolved
- % Done changed from 0 to 100
- Branch set to v4
